package com.example.austime;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.animation.DecelerateInterpolator;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.example.austime.R;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class MainActivity extends AppCompatActivity {

    double pStatus = 1;
    private Handler handler = new Handler();
    TextView tv;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Resources res = getResources();
        Drawable drawable = res.getDrawable(R.drawable.circular);
        final ProgressBar mProgress = (ProgressBar) findViewById(R.id.circularProgressbar);
        mProgress.setProgress(0);   // Main Progress
        mProgress.setSecondaryProgress(100); // Secondary Progress
        mProgress.setMax(100); // Maximum Progress
        mProgress.setProgressDrawable(drawable);

      /*  ObjectAnimator animation = ObjectAnimator.ofInt(mProgress, "progress", 0, 100);
        animation.setDuration(50000);
        animation.setInterpolator(new DecelerateInterpolator());
        animation.start();*/

        tv = (TextView) findViewById(R.id.tv);
        new Thread(new Runnable() {

            @Override
            public void run() {

                // long Hactuel =System.currentTimeMillis();
                long Hactuel = new Date().getTime();

                ///pour definir la date de fin
                String myDate = "2019/03/05 18:25:00";
                
                SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
                Date date = null;

                try {
                    date = sdf.parse(myDate);
                } catch (ParseException e) {
                    e.printStackTrace();
                }

                long HFinn = date.getTime();
                Log.wtf("Heure Finn","     "+HFinn   +"Heure actuelle"+Hactuel);

                // TODO Auto-generated method stub

                long DifferenceT =HFinn-Hactuel ; //100


                while (pStatus < 100) {
                    Long DiffRest =  System.currentTimeMillis()-Hactuel;

                    pStatus =  (((double)DiffRest/(double)DifferenceT)*100);

                    Log.wtf("Psatus   ","     "+pStatus  +"Diff Total  "+DifferenceT+"  Difference restante  "+(double)DiffRest/(double) DifferenceT);

                    handler.post(new Runnable() {

                        @Override
                        public void run() {
                            // TODO Auto-generated method stub
                            mProgress.setProgress((int) pStatus);
                            tv.setText((int)Math.floor(pStatus) + "%");

                        }
                    });
                    try {


                        Thread.sleep(16); //thread will take approx  seconds to finish
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                }
            }
        }).start();
    }
}